---
updatedAt: 2026-05-08T10:57:51.000Z
agentTools:
  projectIndex: https://developer.easee.com/llms.txt
---

# Create daily schedule

Creates a new daily repeating schedule in the charger's scheduling state.

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Easee Cloud API",
    "version": "v1",
    "description": "OpenAPI Definitions for Easee Cloud APIs.\n"
  },
  "servers": [
    {
      "url": "https://api.easee.com"
    }
  ],
  "security": [
    {
      "Bearer": []
    }
  ],
  "tags": [
    {
      "name": "Daily schedule",
      "description": "Charge at the same times every day.",
      "x-displayName": "Daily schedule"
    }
  ],
  "paths": {
    "/api/chargers/{chargerId}/schedules/daily": {
      "post": {
        "tags": [
          "Daily schedule"
        ],
        "summary": "Create daily schedule",
        "description": "Creates a new daily repeating schedule in the charger's scheduling state.",
        "operationId": "PostChargersSchedulesDaily",
        "parameters": [
          {
            "name": "chargerId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "x-position": 1
          }
        ],
        "requestBody": {
          "x-name": "request",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/Scheduled_charging_CreateDailyScheduleRequest"
              }
            }
          },
          "required": true,
          "x-position": 2
        },
        "responses": {
          "200": {
            "description": "",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Scheduled_charging_CreateDailyScheduleResponse"
                }
              }
            }
          },
          "400": {
            "description": "",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Scheduled_charging_HttpValidationProblemDetails"
                }
              }
            }
          },
          "409": {
            "description": "Conflict",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Scheduled_charging_ProblemDetails"
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Scheduled_charging_ProblemDetails"
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "Scheduled_charging_ProblemDetails": {
        "type": "object",
        "additionalProperties": {
          "nullable": true
        },
        "properties": {
          "type": {
            "type": "string",
            "nullable": true
          },
          "title": {
            "type": "string",
            "nullable": true
          },
          "status": {
            "type": "integer",
            "format": "int32",
            "nullable": true
          },
          "detail": {
            "type": "string",
            "nullable": true
          },
          "instance": {
            "type": "string",
            "nullable": true
          }
        }
      },
      "Scheduled_charging_HttpValidationProblemDetails": {
        "allOf": [
          {
            "$ref": "#/components/schemas/Scheduled_charging_ProblemDetails"
          },
          {
            "type": "object",
            "additionalProperties": {
              "nullable": true
            },
            "properties": {
              "errors": {
                "type": "object",
                "additionalProperties": {
                  "type": "array",
                  "items": {
                    "type": "string"
                  }
                }
              }
            }
          }
        ]
      },
      "Scheduled_charging_CreateDailyScheduleResponse": {
        "type": "object",
        "additionalProperties": false,
        "required": [
          "enabled",
          "timezone",
          "periods"
        ],
        "properties": {
          "enabled": {
            "type": "boolean",
            "description": "Whether the schedule is enabled. Enabled schedules are automatically installed to the charger."
          },
          "timezone": {
            "type": "string",
            "description": "IANA timezone identifier of timezone to use for the schedule."
          },
          "periods": {
            "type": "array",
            "description": "Collection of time periods during which charging is permitted.",
            "items": {
              "$ref": "#/components/schemas/Scheduled_charging_DailySchedulePeriod2"
            }
          }
        }
      },
      "Scheduled_charging_DailySchedulePeriod2": {
        "type": "object",
        "additionalProperties": false,
        "required": [
          "startTime",
          "stopTime",
          "maximumAmps"
        ],
        "properties": {
          "startTime": {
            "type": "string",
            "description": "Start time of the charging period.",
            "format": "time"
          },
          "stopTime": {
            "type": "string",
            "description": "Stop time of the charging period.",
            "format": "time"
          },
          "maximumAmps": {
            "type": "integer",
            "description": "The maximum electrical current in amperes permitted by the schedule during this charging period.",
            "format": "int32"
          }
        }
      },
      "Scheduled_charging_CreateDailyScheduleRequest": {
        "type": "object",
        "additionalProperties": false,
        "properties": {
          "enabled": {
            "type": "boolean",
            "description": "Whether the schedule is enabled. Enabled schedules are automatically installed to the charger."
          },
          "timezone": {
            "type": "string",
            "description": "IANA timezone identifier of timezone to use for the schedule."
          },
          "periods": {
            "type": "array",
            "description": "Collection of time periods during which charging is permitted. Limited to a maximum of 18 periods.",
            "nullable": true,
            "items": {
              "$ref": "#/components/schemas/Scheduled_charging_DailySchedulePeriod3"
            }
          }
        }
      },
      "Scheduled_charging_DailySchedulePeriod3": {
        "type": "object",
        "additionalProperties": false,
        "properties": {
          "startTime": {
            "type": "string",
            "description": "Start time of the charging period.",
            "format": "time",
            "nullable": true
          },
          "stopTime": {
            "type": "string",
            "description": "Stop time of the charging period.",
            "format": "time",
            "nullable": true
          },
          "maximumAmps": {
            "type": "integer",
            "description": "The maximum electrical current in amperes permitted by the schedule during this charging period.",
            "format": "int32"
          }
        }
      }
    },
    "securitySchemes": {
      "Bearer": {
        "type": "apiKey",
        "description": "JWT Authorization header using the Bearer scheme. Example: \"Authorization: Bearer {token}\"",
        "name": "Authorization",
        "in": "header"
      }
    }
  }
}
```